
#include <Servo.h>

Servo myservo;  // create servo object to control a servo
// twelve servo objects can be created on most boards

int motion_1 = 2;
int light_1 = 13;

void setup() {
  pinMode (motion_1,INPUT);
  pinMode (light_1, OUTPUT);
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object
  myservo.write(10);
  digitalWrite(light_1,HIGH);
  delay(5000);
  myservo.write(90);
  digitalWrite(light_1,LOW);
  delay(1000);
  attachInterrupt(digitalPinToInterrupt(motion_1),blink,RISING);
}

void blink()
{
    myservo.write(10);
    detachInterrupt(digitalPinToInterrupt(motion_1));
    digitalWrite(light_1,HIGH);
}
void loop() {
}
